Index: code/branches/fabienHS15/data/gui/layouts/InGameMenu.layout
===================================================================
--- code/branches/fabienHS15/data/gui/layouts/InGameMenu.layout	(revision 10685)
+++ code/branches/fabienHS15/data/gui/layouts/InGameMenu.layout	(revision 10739)
@@ -9,12 +9,19 @@
             <Property Name="Text" Value="Return to Game" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.3625,0},{0.6,0},{0.4125,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.2875,0},{0.6,0},{0.3375,0}}" />
             <Property Name="Alpha" Value="0.9" />
             <Event Name="Clicked" Function="InGameMenu.button_return_clicked"/>
         </Window>
+        <Window Type="MenuWidgets/Button" Name="orxonox/InGameMenu_ReloadLevelButton" >
+            <Property Name="Text" Value="Reload level" />
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.3625,0},{0.6,0},{0.4125,0}}" />
+            <Property Name="Alpha" Value="0.9" />
+            <Event Name="Clicked" Function="InGameMenu.button_reloadLevel_clicked"/>
+        </Window>        
         <Window Type="MenuWidgets/Button" Name="orxonox/InGameMenu_MainMenuButton" >
             <Property Name="Text" Value="Main Menu" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.4625,0},{0.6,0},{0.5125,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.4375,0},{0.6,0},{0.4875,0}}" />
             <Property Name="Alpha" Value="0.9" />
             <Event Name="Clicked" Function="InGameMenu.button_mainmenu_clicked"/>
@@ -23,5 +30,5 @@
             <Property Name="Text" Value="Settings" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.5625,0},{0.6,0},{0.6125,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.5125,0},{0.6,0},{0.5625,0}}" />
             <Property Name="Alpha" Value="0.9" />
             <Event Name="Clicked" Function="InGameMenu.button_settings_clicked"/>
@@ -30,5 +37,5 @@
             <Property Name="Text" Value="Quit" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.6625,0},{0.6,0},{0.7125,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.5875,0},{0.6,0},{0.6375,0}}" />
             <Property Name="Alpha" Value="0.9" />
             <Event Name="Clicked" Function="InGameMenu.button_quit_clicked"/>
Index: code/branches/fabienHS15/data/gui/scripts/InGameMenu.lua
===================================================================
--- code/branches/fabienHS15/data/gui/scripts/InGameMenu.lua	(revision 10685)
+++ code/branches/fabienHS15/data/gui/scripts/InGameMenu.lua	(revision 10739)
@@ -7,5 +7,5 @@
     P.multiplayerMode = "startClient"
 
-    --button are arranged in a 4x1 matrix, the left lower item is nil
+    --button are arranged in a 5x1 matrix, the left lower item is nil
     P:setButton(1, 1, {
             ["button"] = winMgr:getWindow("orxonox/InGameMenu_ReturnButton"),
@@ -14,14 +14,19 @@
 
     P:setButton(2, 1, {
+            ["button"] = winMgr:getWindow("orxonox/InGameMenu_ReloadLevelButton"),
+            ["callback"]  = P.button_reloadLevel_clicked
+    })
+
+    P:setButton(3, 1, {
             ["button"] = winMgr:getWindow("orxonox/InGameMenu_MainMenuButton"),
             ["callback"]  = P.button_mainmenu_clicked
     })
 
-    P:setButton(3, 1, {
+    P:setButton(4, 1, {
             ["button"] = winMgr:getWindow("orxonox/InGameMenu_SettingsButton"),
             ["callback"]  = P.button_settings_clicked
     })
 
-    P:setButton(4, 1, {
+    P:setButton(5, 1, {
             ["button"] = winMgr:getWindow("orxonox/InGameMenu_QuitButton"),
             ["callback"]  = P.button_quit_clicked
@@ -54,4 +59,9 @@
 end
 
+function P.button_reloadLevel_clicked(e)
+    hideMenuSheet("InGameMenu")
+    orxonox.execute("reloadLevel")
+end
+
 function P.button_return_clicked(e)
     hideMenuSheet("InGameMenu")
